Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 73)
+++ admin/auth.php	(revision 133)
@@ -365,6 +365,6 @@
 			echo '<legend>'.__('Safe mode login').'</legend>';
 			echo 
-				'<p class="form-note">'.
-				__('This mode allows you to login without activating any of your plugins. This may be useful to solve compatibility problems').'&nbsp;'.
+				'<p class="form-note info">'.
+				__('This mode allows you to login without activating any of your plugins. This may be useful to solve compatibility problems').'&nbsp;<br />'.
 				__('Disable or delete any plugin suspected to cause trouble, then log out and log back in normally.').
 				'</p>';
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 38)
+++ admin/blog.php	(revision 133)
@@ -78,6 +78,6 @@
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').' '.
 	form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
-	'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').' '.
-	__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>'.
+	'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p> '.
+	'<p class="form-note warn">'.__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>'.
 	
 	'<p><label class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog name:').' '.
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 82)
+++ admin/blog_pref.php	(revision 133)
@@ -268,6 +268,6 @@
 		'<p><label for="blog_id" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Blog ID:').
 		form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</label></p>'.
-		'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').' '.
-		__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>';
+		'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p> '.
+		'<p class="form-note warn">'.__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>';
 	}
 	
@@ -437,8 +437,10 @@
 	'<fieldset><legend>'.__('Search engines robots policy').'</legend>';
 	
+	$i = 0;
 	foreach ($robots_policy_options as $k => $v)
 	{
-		echo '<p><label for="robots_policy" class="classic">'.
-		form::radio(array('robots_policy'),$k,$blog_settings->system->robots_policy == $k).' '.$v.'</label></p>';
+		echo '<p><label for="robots_policy-'.$i.'" class="classic">'.
+		form::radio(array('robots_policy','robots_policy-'.$i),$k,$blog_settings->system->robots_policy == $k).' '.$v.'</label></p>';
+		$i++;
 	}
 	
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 66)
+++ admin/blog_theme.php	(revision 123)
@@ -307,5 +307,5 @@
 			'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Theme zip file URL:').' '.
 			form::field(array('pkg_url','pkg_url'),40,255).'</label></p>'.
-			'<p class="field"><label id="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
+			'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
 			form::password(array('your_pwd','your_pwd2'),20,255).'</label></p>'.
 			'<input type="submit" name="fetch_pkg" value="'.__('Download theme').'" />'.
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 38)
+++ admin/blogs.php	(revision 123)
@@ -84,5 +84,5 @@
 {
 	if ($core->auth->isSuperAdmin()) {
-		echo '<p class="top-add"><a class="button add" href="blog.php"><img src="images/add.png" alt="" />'.__('Create a new blog').'</a></strong></p>';
+		echo '<p class="top-add"><a class="button add" href="blog.php"><img src="images/add.png" alt="" />'.__('Create a new blog').'</a></p>';
 	}
 	
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 112)
+++ admin/index.php	(revision 152)
@@ -44,36 +44,4 @@
 
 # Check dashboard module prefs
-$core->auth->user_prefs->loadPrefs();
-	
-	// Set favorites menu
-	$ws = $core->auth->user_prefs->addWorkspace('favorites');
-	$count = 0;
-	foreach ($ws->dumpPrefs() as $k => $v) {
-		// User favorites only
-		if (!$v['global']) {
-			$count++;
-			$fav = unserialize($v['value']);
-			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
-				preg_match('/'.$fav['url'].'(\?.*)?$/',$_SERVER['REQUEST_URI']),
-				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-		}
-	}	
-	if (!$count) {
-		// Global favorites if any
-		foreach ($ws->dumpPrefs() as $k => $v) {
-			$count++;
-			$fav = unserialize($v['value']);
-			$_menu['Favorites']->addItem($fav['title'],$fav['url'],$fav['small-icon'],
-				preg_match('/'.$fav['url'].'(\?.*)?$/',$_SERVER['REQUEST_URI']),
-				(($fav['permissions'] == '*') || $core->auth->check($fav['permissions'],$core->blog->id)),$fav['id'],$fav['class']);
-		}
-	}
-	if (!$count) {
-		// No user or global favorites, add "new entry" fav
-		$_menu['Favorites']->addItem(__('New entry'),'post.php','images/menu/edit.png',
-			preg_match('/post.php$/',$_SERVER['REQUEST_URI']),
-			$core->auth->check('usage,contentadmin',$core->blog->id),'menu-new-post',null);
-	}
-$core->auth->user_prefs->addWorkspace('dashboard');
 if (!$core->auth->user_prefs->dashboard->prefExists('doclinks')) {
 	if (!$core->auth->user_prefs->dashboard->prefExists('doclinks',true)) {
@@ -116,4 +84,7 @@
 				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
 			$__dashboard_icons[$fav['name']] = new ArrayObject(array($title,$fav['url'],$fav['large-icon']));
+
+			# Let plugins set their own title for favorite on dashboard
+			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
 		}
 	}
@@ -128,4 +99,7 @@
 				($fav['name'] == 'comments' ? sprintf($str_comments,$comment_count) : $fav['title']));
 			$__dashboard_icons[$fav['name']] = new ArrayObject(array($title,$fav['url'],$fav['large-icon']));
+
+			# Let plugins set their own title for favorite on dashboard
+			$core->callBehavior('adminDashboardFavsIcon',$core,$fav['name'],$__dashboard_icons[$fav['name']]);
 		}
 	}
@@ -298,5 +272,9 @@
 
 # Dashboard icons
+<<<<<<< local
+echo '<div id="dashboard-main"'.($dashboardItems ? '' : ' class="fullwidth"').'><div id="icons">';
+=======
 echo '<div id="dashboard-main"><div id="icons"'.($dashboardItems ? '' : 'class="fullwidth"').'>';
+>>>>>>> other
 foreach ($__dashboard_icons as $i)
 {
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3)
+++ admin/js/common.js	(revision 131)
@@ -6,5 +6,5 @@
 			handler.apply(this, arguments);
 			if (existingFunction)
-				existingFunction.apply(this, arguments); 
+				existingFunction.apply(this, arguments);
 		};
 	})(handlerName in obj ? obj[handlerName] : null);
@@ -45,5 +45,5 @@
 				else
 					range = trparent.prevUntil('#'+dotclear.lastclicked);
-				
+
 				range.find('input[type=checkbox]').setChecked(dotclear.lastclickedstatus);
 				this.checked = dotclear.lastclickedstatus;
@@ -57,5 +57,5 @@
 }
 
-jQuery.fn.toggleWithLegend = function(target,s) {
+jQuery.fn.toggleWithLegend = function(target,s, callback) {
 	var defaults = {
 		img_on_src: dotclear.img_plus_src,
@@ -71,22 +71,22 @@
 	};
 	var p = jQuery.extend(defaults,s);
-	
+
 	if (!target) { return this; }
-	
+
 	var set_cookie = p.hide ^ p.reverse_cookie;
 	if (p.cookie && jQuery.cookie(p.cookie)) {
 		p.hide = p.reverse_cookie;
 	}
-	
-	var toggle = function(i,speed) {
+
+	var toggle = function(i,speed, callback) {
 		speed = speed || 0;
 		if (p.hide) {
 			$(i).get(0).src = p.img_on_src;
 			$(i).get(0).alt = p.img_on_alt;
-			target.hide(speed);
+			target.hide(speed, callback);
 		} else {
 			$(i).get(0).src = p.img_off_src;
 			$(i).get(0).alt = p.img_off_alt;
-			target.show(speed);
+			target.show(speed, callback);
 			if (p.fn) {
 				p.fn.apply(target);
@@ -94,5 +94,5 @@
 			}
 		}
-		
+
 		if (p.cookie && set_cookie) {
 			if (p.hide ^ p.reverse_cookie) {
@@ -102,8 +102,8 @@
 			}
 		}
-		
+
 		p.hide = !p.hide;
 	};
-	
+
 	return this.each(function() {
 		var i = document.createElement('img');
@@ -117,14 +117,14 @@
 			outline: 'none'
 		});
-		
+
 		var ctarget = p.legend_click ? this : a;
-		
+
 		$(ctarget).css('cursor','pointer');
 		$(ctarget).click(function() {
-			toggle(i,p.speed);
-			return false;
-		});
-		
-		
+			toggle(i,p.speed, callback);
+			return false;
+		});
+
+
 		toggle($(i).get(0));
 		$(this).prepend(' ').prepend(a);
@@ -136,5 +136,5 @@
 		return this;
 	}
-	
+
 	var p = {
 		img_on_src: dotclear.img_plus_src,
@@ -156,5 +156,5 @@
 		return false;
 	};
-	
+
 	var sizeBox = function() {
 		This.css('height','auto');
@@ -163,10 +163,10 @@
 		}
 	};
-	
+
 	var textToggler = function(o) {
 		var i = $('<img src="'+p.img_on_src+'" alt="'+p.img_on_alt+'" />');
 		o.css('cursor','pointer');
 		var hide = true;
-		
+
 		o.prepend(' ').prepend(i);
 		o.click(function() {
@@ -188,18 +188,18 @@
 		});
 	};
-	
+
 	this.addClass('help-box');
 	this.find('>hr').remove();
-	
+
 	this.find('h3').each(function() { textToggler($(this)); });
 	this.find('h3:first').nextAll('*:not(h3)').hide();
 	sizeBox();
-	
+
 	var img = $('<span id="help-button">'+dotclear.msg.help+'</span>');
 	var select = $();
 	img.click(function() { return toggle(); });
-	
+
 	$('#content').append(img);
-	
+
 	return this;
 };
@@ -209,5 +209,5 @@
 var dotclear = {
 	msg: {},
-	
+
 	hideLockable: function() {
 		$('div.lockable').each(function() {
@@ -217,5 +217,5 @@
 				this.disabled = true;
 				$(this).width(($(this).width()-14) + 'px');
-				
+
 				var imgE = document.createElement('img');
 				imgE.src = 'images/locker.png';
@@ -224,5 +224,5 @@
 				imgE.style.left = ($(this).width()+4)+'px';
 				$(imgE).css('cursor','pointer');
-				
+
 				$(imgE).click(function() {
 					$(this).hide();
@@ -233,5 +233,5 @@
 					$(current_lockable_div).find('p.form-note').show();
 				});
-				
+
 				$(this).parent().css('position','relative');
 				$(this).after(imgE);
@@ -239,5 +239,5 @@
 		});
 	},
-	
+
 	checkboxesHelpers: function(e) {
 		var a = document.createElement('a');
@@ -249,7 +249,7 @@
 		};
 		$(e).append(a);
-		
+
 		$(e).append(document.createTextNode(' - '));
-		
+
 		a = document.createElement('a');
 		a.href='#';
@@ -260,7 +260,7 @@
 		};
 		$(e).append(a);
-		
+
 		$(e).append(document.createTextNode(' - '));
-		
+
 		a = document.createElement('a');
 		a.href='#';
@@ -272,10 +272,10 @@
 		$(e).append(a);
 	},
-	
+
 	postsActionsHelper: function() {
 		$('#form-entries').submit(function() {
 			var action = $(this).find('select[name="action"]').val();
 			var checked = false;
-			
+
 			$(this).find('input[name="entries[]"]').each(function() {
 				if (this.checked) {
@@ -283,20 +283,20 @@
 				}
 			});
-			
+
 			if (!checked) { return false; }
-			
+
 			if (action == 'delete') {
 				return window.confirm(dotclear.msg.confirm_delete_posts.replace('%s',$('input[name="entries[]"]:checked').size()));
 			}
-			
+
 			return true;
 		});
 	},
-	
+
 	commentsActionsHelper: function() {
 		$('#form-comments').submit(function() {
 			var action = $(this).find('select[name="action"]').val();
 			var checked = false;
-			
+
 			$(this).find('input[name="comments[]"]').each(function() {
 				if (this.checked) {
@@ -304,11 +304,11 @@
 				}
 			});
-			
+
 			if (!checked) { return false; }
-			
+
 			if (action == 'delete') {
 				return window.confirm(dotclear.msg.confirm_delete_comments.replace('%s',$('input[name="comments[]"]:checked').size()));
 			}
-			
+
 			return true;
 		});
@@ -323,5 +323,5 @@
 		this.form.submit();
 	});
-	
+
 	var menu_settings = {
 		img_on_src: dotclear.img_menu_off,
@@ -331,21 +331,25 @@
 	}
 	$('#blog-menu h3:first').toggleWithLegend($('#blog-menu ul:first'),
-		$.extend({cookie:'dc_blog_menu',hide:false,reverse_cookie:true},menu_settings)
+		$.extend({cookie:'dc_blog_menu',hide:false,reverse_cookie:true},menu_settings),
+		positionFooter
 	);
 	$('#system-menu h3:first').toggleWithLegend($('#system-menu ul:first'),
-		$.extend({cookie:'dc_system_menu'},menu_settings)
+		$.extend({cookie:'dc_system_menu'},menu_settings),
+		positionFooter
 	);
 	$('#plugins-menu h3:first').toggleWithLegend($('#plugins-menu ul:first'),
-		$.extend({cookie:'dc_plugins_menu'},menu_settings)
+		$.extend({cookie:'dc_plugins_menu'},menu_settings),
+		positionFooter
 	);
 	$('#favorites-menu h3:first').toggleWithLegend($('#favorites-menu ul:first'),
-		$.extend({cookie:'dc_favorites_menu'},menu_settings)
+		$.extend({cookie:'dc_favorites_menu'},menu_settings),
+		positionFooter
 	);
-	
+
 	$('#help').helpViewer();
-	
+
 	$('.message').backgroundFade({sColor:'#cccccc',eColor:'#666666',steps:20});
 	$('.error').backgroundFade({sColor:'#f5e5e5',eColor:'#e5bfbf',steps:20});
-	
+
 	$('form:has(input[type=password][name=your_pwd])').submit(function() {
 		var e = this.elements['your_pwd'];
@@ -359,4 +363,32 @@
 		return true;
 	});
+
+
+	// Sticky footer
+	positionFooter();
+	function positionFooter() {
+		$("#wrapper").css({ overflow: "auto" });
+		var page_height = $("#top").height() + $("#wrapper").height() - $("#footer").height();
+		if( page_height < $(window).height() ){
+			// calcul de la largeur
+			var page_width = $(document).width() - 30;
+			$("#footer").css({
+				position: "absolute",
+				bottom: "10px",
+				width: page_width+"px",
+				padding: ".75em 0",
+				marginbottom: "0"
+			});
+		} else {
+			$("#footer").css({
+				position: "static",
+				padding: ".75em 0",
+				width: "auto",
+			});
+		}
+
+	}
+	$(window).resize(positionFooter);
+
 });
 
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 68)
+++ admin/media.php	(revision 133)
@@ -328,4 +328,5 @@
 	echo
 	'<div class="col"><h3 id="add-file">'.__('Add files').'</h3>'.
+	'<p class="form-note info">'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
 	'<form id="media-upload" class="clear" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
 	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
@@ -343,5 +344,4 @@
 	'</fieldset>'.
 	'</form>'.
-	'<p class="form-note">'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
 	'</div>';
 	
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 68)
+++ admin/plugins.php	(revision 125)
@@ -327,5 +327,5 @@
 	'<legend>'.__('Upload a zip file').'</legend>'.
 	'<p class="field"><label for="pkg_file" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file:').' '.
-	'<input type="file" name="pkg_file" /></label></p>'.
+	'<input type="file" id="pkg_file" name="pkg_file" /></label></p>'.
 	'<p class="field"><label for="your_pwd1" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
 	form::password(array('your_pwd','your_pwd1'),20,255).'</label></p>'.
@@ -341,5 +341,5 @@
 	'<legend>'.__('Download a zip file').'</legend>'.
 	'<p class="field"><label for="pkg_url" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Plugin zip file URL:').' '.
-	form::field(array('pkg_url'),40,255).'</label></p>'.
+	form::field(array('pkg_url','pkg_url'),40,255).'</label></p>'.
 	'<p class="field"><label for="your_pwd2" class="classic required"><abbr title="'.__('Required field').'">*</abbr> '.__('Your password:').' '.
 	form::password(array('your_pwd','your_pwd2'),20,255).'</label></p>'.
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 90)
+++ admin/preferences.php	(revision 133)
@@ -387,5 +387,5 @@
 
 echo
-'<form action="preferences.php" method="post" id="user-options">'.
+'<form action="preferences.php" method="post" id="opts-forms">'.
 '<fieldset><legend>'.__('My options').'</legend>'.
 
@@ -453,5 +453,5 @@
 				'<img src="'.$fav['large-icon'].'" alt="" /> '.
 				form::field(array('order['.$k.']'),2,3,$count,'position','',false,'title="'.sprintf(__('position of %s'),$fav['title']).'"').
-				form::hidden('dynorder[]',$k).
+				form::hidden(array('dynorder[]','dynorder-'.$k.''),$k).
 				'<label for="fuk-'.$k.'">'.form::checkbox(array('remove[]','fuk-'.$k),$k).$fav['title'].'</label>'.
 				'</li>';
@@ -465,7 +465,7 @@
 	'<p>'.form::hidden('favs_order','').
 	$core->formNonce().
-	'<input type="submit" name="saveorder" value="'.__('Save order').'"> '.
-	
-	'<input type="submit" class="delete" name="removeaction"'.
+	'<input type="submit" name="saveorder" value="'.__('Save order').'" /> '.
+
+	'<input type="submit" class="delete" name="removeaction" '.
 	'value="'.__('Delete selected favorites').'" '.
 	'onclick="return window.confirm(\''.html::escapeJS(
@@ -473,7 +473,9 @@
 
 	($core->auth->isSuperAdmin() ? 
-	'<hr />'.
-	'<p>'.__('If you are a super administrator, you may define this set of favorites to be used by default on all blogs of this installation:').'</p>'.
-	'<p><input class="reset" type="submit" name="replace" value="'.__('Define as default favorites').'">' : '').'</p>'.
+		'<hr />'.
+		'<p>'.__('If you are a super administrator, you may define this set of favorites to be used by default on all blogs of this installation:').'</p>'.
+		'<p><input class="reset" type="submit" name="replace" value="'.__('Define as default favorites').'" />' : 
+		'').
+		'</p>'.
 	'</div>';
 } else {
@@ -485,5 +487,5 @@
 
 echo '<div id="default-favs"><h3>'.__('Default favorites').'</h3>';
-echo '<p class="form-note clear">'.__('Those favorites are displayed when My Favorites list is empty.').'</p>';
+echo '<p class="form-note info clear">'.__('Those favorites are displayed when My Favorites list is empty.').'</p>';
 $count = 0;
 foreach ($ws->dumpPrefs() as $k => $v) {
@@ -528,5 +530,6 @@
 '<p>'.
 $core->formNonce().
-'<input type="submit" name="appendaction" value="'.__('Add to my favorites').'"></p>';
+'<input type="submit" name="appendaction" value="'.__('Add to my favorites').'" /></p>';
+echo '</fieldset>';
 echo '</div>';
 echo '</div>'; # Two-cols
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 96)
+++ admin/search.php	(revision 125)
@@ -125,5 +125,5 @@
 		'<p class="col checkboxes-helpers"></p>'.
 		
-		'<p class="col right"><label for="action1" class="classic"'.__('Selected entries action:').'</label> '.
+		'<p class="col right"><label for="action1" class="classic">'.__('Selected entries action:').'</label> '.
 		form::combo(array('action','action1'),$combo_action).
 		'<input type="submit" value="'.__('ok').'" /></p>'.
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 82)
+++ admin/style/default.css	(revision 148)
@@ -135,5 +135,5 @@
 }
 #info-box a img, #info-box2 a img {
-	vertical-align: middle; 
+	vertical-align: middle;
 	padding-left: .3em;
 	}
@@ -144,5 +144,7 @@
 	border-bottom-color: #ccc;
 }
-#info-box a {margin-left: 2em;}
+#info-box a {
+	margin-left: 2em;
+}
 
 #wrapper {
@@ -156,11 +158,6 @@
 }
 #content {
-	margin-left: 13em;
-	margin-bottom: 4em;
-	margin-top: .5em;
-	margin-right: 1.5em;
-	padding-top: 10px;
-	padding-left: 1em;
-	padding-right: 1em;
+	margin: .5em 1.5em 4em 13em;
+	padding: 1em;
 	background: #fff;
 	-webkit-border-radius: .5em;
@@ -175,5 +172,5 @@
 	float: left;
 	margin-top: 1em;
-	margin-bottom: 10px;
+	margin-bottom: 1em;
 }
 
@@ -216,15 +213,8 @@
 }
 
-/* favoris en haut */
-#fav-add { 
-	position: absolute;
-	top: 3.5em;
-	right: 2em;
-}
-
 #footer {
 	clear: both;
 	padding: .75em 2em;
-	margin: 6em 1em .5em 1em;
+	margin: 6em 15px .5em 15px;
 	-webkit-border-radius: .3em;
 	-moz-border-radius: .3em;
@@ -243,5 +233,5 @@
 }
 #footer p span.credit {
-	font-size: .85em; 
+	font-size: .85em;
 	font-weight: normal;
 }
@@ -272,6 +262,11 @@
 	float: left;
 	overflow: hidden;
-	padding: 1em 1%;
-	width: 66%;
+	padding: 1em 2% 1em 0;
+	width: 70%;
+}
+#dashboard-main.fullwidth {
+	width: 100%;
+	padding: 1em 0;
+	float: none;
 }
 #dashboard-main #icons {
@@ -314,7 +309,6 @@
 #dashboard-items {
 	float: left;
-	width: 29%;
+	width: 27%;
 	overflow: hidden;
-	margin-left: 2%;
 	padding-bottom: 1em;
 	padding-top: 3em;
@@ -342,4 +336,5 @@
 	margin: 0.2em 0 0 0;
 }
+
 #upg-notify {
 }
@@ -353,9 +348,9 @@
 /* POST */
 #entry-sidebar {
-	width: 200px;
+	width: 17em;
 	float: right;
 }
 #entry-content {
-	margin-right: 220px;
+	margin-right: 18em;
 }
 #comments {
@@ -369,6 +364,6 @@
 #categories ul {
 	list-style: none;
-	margin: 0 0 0 0;
-	padding: 0 0 0 0;
+	margin: 0;
+	padding: 0;
 }
 #categories ul li {
@@ -541,18 +536,20 @@
 
 /* POPUP */
-body.popup #wrapper {
-	background-position: -130px 0;
+body.popup #wrapper, body.popup #top {
+	margin-top: -1.5em;
 }
 body.popup #top h1 {
-	background-position: -130px 0;
+	background: transparent;
 }
 body.popup #main {
 	margin-left: -35px;
+	margin-bottom: 1em;
 }
 body.popup #content {
 	margin-left: 35px;
+	margin-left: 2em;  /* 3.2 */
 }
 body.popup #footer {
-	background-position: -130px 0;
+	display: none; /* 3.2 */
 }
 body.popup #footer p {
@@ -563,4 +560,6 @@
 /* CLASSES
 -------------------------------------------------------- */
+
+/* -------------- paragraphe pour bouton Nouveau bidule ----------- */
 p.top-add {
 	text-align: right;
@@ -596,13 +595,10 @@
 	font-size: 1px;
 }
-
 .hide {
 	display: none;
 }
-
 .right {
 	text-align: right;
 }
-
 .frame-shrink {
 	border: 1px solid #666;
@@ -669,5 +665,4 @@
 	margin-left: 0;
 }
-
 .two-cols {
 	position: static;
@@ -991,5 +986,5 @@
 }
 .dragable tbody td {
-	
+
 }
 .handle {
@@ -1070,10 +1065,19 @@
 }
 p.form-note {
-	font-style:normal;
+	font-style:italic;
+	margin-top: -.7em;
+	color: #666;
+}
+p.form-note.warn, p.form-note.info {
+	font-style: normal;
+	padding: .2em 1em .1em 24px;
+}
+p.form-note.warn {
+	background: #ffd url(warning.png) no-repeat .2em .2em;
+	border: 1px solid #f0c020;
+}
+p.form-note.info {
 	background: #eef url(info.png) no-repeat .2em .2em;
 	border: 1px solid #99f;
-	padding: .2em 1em .1em 24px;
-	margin-top: -.7em;
-	color: #666;
 }
 .form-note a {border-bottom: 1px solid #99f;}
@@ -1106,5 +1110,5 @@
 p.field {
 	position: relative;
-	
+
 }
 p.field label {
@@ -1172,9 +1176,9 @@
 }
 /* commun */
-input[type=submit], 
-input[type=reset], 
-input[type=button], 
+input[type=submit],
+input[type=reset],
+input[type=button],
 a.button,
-a.button.add, 
+a.button.add,
 a.back {
 	display: inline-block;
@@ -1183,7 +1187,7 @@
 	text-align: center;
 	text-decoration: none;
-	padding: .1em .75em .1em;
+	padding: .1em .5em;
 	text-shadow: 0 1px 1px rgba(0,0,0,.3);
-	-webkit-border-radius: .2em; 
+	-webkit-border-radius: .2em;
 	-moz-border-radius: .2em;
 	border-radius: .2em;
@@ -1191,5 +1195,5 @@
 }
 /* validation */
-input[type=submit], 
+input[type=submit],
 input[type=button],
 a.button.add {
@@ -1200,9 +1204,9 @@
 	background: -moz-linear-gradient(top,  #2C8FD1,  #2373A8);
 }
-input[type=submit]:hover, 
-input[type=reset]:hover, 
+input[type=submit]:hover,
+input[type=reset]:hover,
 input[type=button]:hover,
-input[type=submit]:focus, 
-input[type=reset]:focus, 
+input[type=submit]:focus,
+input[type=reset]:focus,
 input[type=button]:focus,
 a.button.add:hover,
@@ -1215,7 +1219,7 @@
 }
 /* suppression et reset */
-a.button, 
-a.back, 
-input[type=submit].reset, 
+a.button,
+a.back,
+input[type=submit].reset,
 input[type=submit].delete {
 	border: 1px solid #999;
@@ -1226,11 +1230,11 @@
 	text-shadow: none;
 	}
-a.button:hover, 
-a.back:hover, 
-input[type=submit].reset:hover, 
+a.button:hover,
+a.back:hover,
+input[type=submit].reset:hover,
 input[type=submit].delete:hover,
-a.button:focus, 
-a.back:focus, 
-input[type=submit].reset:focus, 
+a.button:focus,
+a.back:focus,
+input[type=submit].reset:focus,
 input[type=submit].delete:focus {
 	background: #e5e5e5;
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 70)
+++ admin/user.php	(revision 144)
@@ -186,5 +186,5 @@
 
 echo
-'<form action="user.php" method="post"id="user-form">'.
+'<form action="user.php" method="post" id="user-form">'.
 '<fieldset><legend>'.__('User information').'</legend>'.
 '<div class="two-cols">'.
@@ -312,4 +312,5 @@
 }
 
+dcPage::helpBlock('core_user');
 dcPage::close();
 ?>
